/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * \file poolworker.cpp
 *
 *  Created on: Feb 28, 2012
 *      Author: heber
 */


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include <string>

#include <boost/bind.hpp>
#include <boost/tokenizer.hpp>

#include "JobMarket/poolworker_main.hpp"

#include "mpqc.h"

// force binding to libMolecuilderJobs
// note we bind here to sort-of mock objects which are bases on SystemCommandJob
#include "Jobs/MPQCCommandJob_binding.hpp"
#include "Jobs/MPQCJob_binding.hpp"
#include "Jobs/VMGJob_binding.hpp"

int main(int argc, char* argv[])
{
  mpqc::InitValues initvalues;

  mpqc::init(initvalues, argc, argv);

  const int exitflag = poolworker_main(argc, argv);

  mpqc::cleanup(initvalues);

  return exitflag;
}

